Package org.eigenbase.resgen

# Class ResourceDef

java.lang.Object
org.eigenbase.resgen.ResourceDef

public class ResourceDef extends Object
This model specifies the elements which make up a resource file. See `ResourceGenTask` for more information.

This class was generated from XOM model 'resource'

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ResourceDef.Code`
`static class`
`ResourceDef.Exception`
An exception defines a message which is issued in response to some invalid condition.
`static class`
`ResourceDef.Message`
A message.
`static class`
`ResourceDef.Property`
`static class`
`ResourceDef.Resource`
`static class`
`ResourceDef.ResourceBundle`
A ResourceBundle is a collection of resources.
`static class`
`ResourceDef.Text`

## Field Summary

Fields
Modifier and Type
Field
Description
`static String[]`
`_elements`

## Constructor Summary

Constructors
Constructor
Description
`ResourceDef()`

## Method Summary

Modifier and Type
Method
Description
`static Class`
`getXMLDefClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _elements

public static String[] _elements

## Constructor Details

### ResourceDef

public ResourceDef()

## Method Details

### getXMLDefClass

public static Class getXMLDefClass()